Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451160 - Main Page Text is running into footers on PDF
Summary: Main Page Text is running into footers on PDF
Keywords:
Status: CLOSED CANTFIX
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 2.0
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeff Fearn 🐞
QA Contact: Michael Hideo
URL: https://engineering.redhat.com/docbot...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-13 02:49 UTC by Lana Brindley
Modified: 2013-10-23 23:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-07 07:52:39 UTC


Attachments (Terms of Use)
Sample of this guide built with beta toolchain (deleted)
2008-07-07 07:51 UTC, Jeff Fearn 🐞
no flags Details

Description Lana Brindley 2008-06-13 02:49:01 UTC
Description of problem:
Main page text is running over the footer text on page 49 of this PDF:
https://engineering.redhat.com/docbot/en-US/Red_Hat_Enterprise_MRG/1.0/pdf/Realtime_Tuning_Guide/

Version-Release number of selected component (if applicable):
publican-0.33-0.el5
  
Actual results:
Neither page text or footer can be read

Expected results:
Readable text

Comment 1 Jeff Fearn 🐞 2008-06-26 07:05:09 UTC
When URLs are displayed in footers instead of inline, either the footer isn't
being set correctly or FOP can't allocate space correctly.

The work around for this is to display the link URLs inline, which looks a bit
weak, but is readable.

I will do try to find out why this is broken. If I can't before the next release
I will ensure the above work around is in place :(


Comment 2 Jeff Fearn 🐞 2008-07-07 07:52:00 UTC
Created attachment 311132 [details]
Sample of this guide built with beta toolchain

Comment 3 Jeff Fearn 🐞 2008-07-07 07:52:39 UTC
I have good news and bad news about this.

The bad news is that the new version of FOP (0.95), which we are moving to, does
not display footnotes for ulinks that are inside lists or tables :(

The good news is that footnotes it does display are displayed correctly.

This will probably mean that you will have to either remove the text in the
ulink, so the url is displayed inline, or you need to re-factor the XML so the
ulinks are not inside links/tables :(

See https://issues.apache.org/bugzilla/show_bug.cgi?id=37579


Note You need to log in before you can comment on or make changes to this bug.